Web lists-archives.com

Re: [Samba] Upgrading Samba




On Fri, 8 Feb 2019 10:41:17 +1300
Douglas Bagnall <douglas.bagnall@xxxxxxxxxxxxxxx> wrote:

> On 7/02/19 6:05 AM, Rowland Penny via samba wrote:
> 
> >> If I have a domain running (2) 4.7.x DC's and I build 2 new DC's
> >> with 4.9.latest, join the domain and make them DC's and then
> >> decommission the old DC's, is that expected to work?
> >>
> >> Regards,
> >>
> > 
> > Not entirely sure, but I think the answer is likely to be 'No'
> > I think the problem is the GUID Index mode introduced at 4.8.0, Your
> > 4.7.x DC's will not have this, but the 4.9.x DC's will probably
> > expect this. Only way to find out, try it ;-)
> 
> Actually, yes it generally does work. The replication protocols don't
> care about internal database details like indexes.
> 
> You can do this in-place if you stop a DC, upgrade Samba, then rejoin
> the other DC.
> 
> cheers,
> Douglas

Hi Douglas, I can assure you that it does not work if you upgrade
directly from 4.7.x to 4.9.x, you get dns errors.

Rowland

-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba